Subject: Offline Message from Lovely fernandez: I would like to follow up my order mad
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 27 Jun 2020 23:17:50 -0000

From: Lovely fernandez <[email-masked]>
Phone: 
Location: Al Ain City, United Arab Emirates
URL: https://www.mumzworld.com/en/contact-us/
Department: 

I would like to follow up my order made on May 28, 2020 which playgro jungle squeaker toy coz I have not yet received it till now. I would like to ask for a refund for it coz I paid it through credit card. Thanks

----
Zopim
https://www.zopim.com